<!--
  ~ Benchmarking Suite
  ~ Copyright 2014-2022 Engineering Ingegneria Informatica S.p.A.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<template>
  <v-list-item
    @click="$emit('selected', item)"
  >
    <v-list-item-avatar>
      <v-img v-if="item.driver=='openstack'" contain src="https://upload.wikimedia.org/wikipedia/commons/thumb/8/80/The_OpenStack_logo.svg/1024px-The_OpenStack_logo.svg.png"></v-img>
      <v-img v-else-if="item.driver=='vmware'" contain src="https://www.vmware.com/etc/clientlibs/vmwaredevapp/clientlib-nav-redesign/images/vm-logo.png"></v-img>
      <v-img v-else-if="item.driver=='aws-ec2'" contain src="https://upload.wikimedia.org/wikipedia/commons/thumb/9/93/Amazon_Web_Services_Logo.svg/150px-Amazon_Web_Services_Logo.svg.png"></v-img>
      <v-img v-else-if="item.driver=='docker'" contain src="https://www.docker.com/wp-content/uploads/2022/03/vertical-logo-monochromatic.png"></v-img>
      <v-img v-else-if="item.driver=='kubernetes'" contain src="https://upload.wikimedia.org/wikipedia/commons/3/39/Kubernetes_logo_without_workmark.svg"></v-img>
      <v-icon v-else large>mdi-cloud-outline</v-icon>
    </v-list-item-avatar>

    <v-list-item-content text>
      <v-list-item-title>
        {{item.name}}
        <template v-if="false">
          <v-icon small v-if="sharing=='private'">mdi-lock</v-icon>
          <v-icon small v-if="sharing=='public'">mdi-earth</v-icon>
          <v-icon small v-if="sharing=='shared'">mdi-eye</v-icon>
        </template>
      </v-list-item-title>
      <v-list-item-subtitle v-if="item.description">
        {{item.description}}
      </v-list-item-subtitle>
      <v-list-item-subtitle v-if="sharing!='shared'">
        <template v-if="item.auth_url">
          This is a <b>{{item.driver}}</b> instance at '{{item.auth_url}}'.<br/>
        </template>
        <template v-if="item.region">
          Region is '{{item.region}}'.<br/>
        </template>
        <template v-if="item.access_id">
          Accessing as user '{{item.access_id}}'
          <template v-if="item.domain">
            (domain '{{item.domain}}')
          </template>
          <span v-if="item.tenant && item.tenant.trim()">to tenant '{{item.tenant}}'</span>
        </template>
      </v-list-item-subtitle>
    </v-list-item-content>
  </v-list-item>
</template>

<script>

import { getProviderSharingLevel } from '../common/benchsuite.js';

export default {

 name: 'ProviderSummary',

  props: {
    item: {
      type: Object,
      default: function() {return {}}
    }
  },

  computed: {
    sharing() {
      return getProviderSharingLevel(this.item);
    }
  }

};

</script>

<style>
div.provider-name {
  font-weight:bold;
}
</style>
